org.optaplanner.core.config.domain

## Class ReflectionsKieVfsUrlType

- java.lang.Object
- - org.optaplanner.core.config.domain.ReflectionsKieVfsUrlType

- All Implemented Interfaces:
    org.reflections.vfs.Vfs.UrlType

  Deprecated.
  for removal

      @Deprecated
      public class ReflectionsKieVfsUrlType
      extends Object
      implements org.reflections.vfs.Vfs.UrlType

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReflectionsKieVfsUrlType.ReflectionsKieVfsDir` Deprecated.
    `static class` | `ReflectionsKieVfsUrlType.ReflectionsKieVfsFile` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectionsKieVfsUrlType(org.kie.api.runtime.KieContainer kieContainer)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.reflections.vfs.Vfs.Dir` | `createDir(URL url)` Deprecated.
    `boolean` | `matches(URL url)` Deprecated.
    `static void` | `register(org.kie.api.runtime.KieContainer kieContainer)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectionsKieVfsUrlType

          public ReflectionsKieVfsUrlType(org.kie.api.runtime.KieContainer kieContainer)

      Deprecated.

  - ### Method Detail

    - #### register

          public static void register(org.kie.api.runtime.KieContainer kieContainer)

      Deprecated.

    - #### matches

          public boolean matches(URL url)

      Deprecated.
      Specified by:
        `matches` in interface `org.reflections.vfs.Vfs.UrlType`

    - #### createDir

          public org.reflections.vfs.Vfs.Dir createDir(URL url)

      Deprecated.
      Specified by:
        `createDir` in interface `org.reflections.vfs.Vfs.UrlType`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.